//企业id
var id;
apiready = function(){
	id = api.pageParam.id;
    api.parseTapmode();
    getPunishInfo();
}

var tab = new auiTab({
    element:document.getElementById("tab"),
},function(ret){
    
});

//处罚类型,值对应于查询结果中对应数据的下标，目前只能确定工商的下标，其他的下标有待确认
var type = 2;
//获取处罚类型
function punishType(obj){
	switch(obj.textContent){
		case "工商总局":
			type = 2;
			break;
		case "环保总局":
			type = 0;
			break;
		case "税务总局":
			type = 1;
			break;
		case "海关总局":
			type = 3;
			break;
	}
	getPunishInfo();
}

//获取行政处罚的信息
function getPunishInfo(){
	$api.byId('punishContent').textContent = "";
    showProgress();
	sendRequest({
		url:'api/OpenMsg/GetPunishInfo',
		methodType:'get',
		dataType:'text',
		parameters:{ 
            "Ent_id": decodeURIComponent(id) 
        }
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson($api.strToJson(ret));
			if(obj.msg=="查询成功"){//如果查询成功
				showResult(obj);
			}else{
				api.toast({
				    msg: '查询失败'
				});
			}
		}else{
			api.toast({
			    msg: '网络或服务器出错，请稍后再试'
			});
		}
		api.hideProgress();
	})
}

//将查询出来的结果显示在页面中	
function showResult(obj){
	if(obj.data[type].Table.length>0){
		var content = $api.byId('punishContent');
		var tpl = $api.byId('punish-template').text;
		var tempFn = doT.template(tpl);
		content.innerHTML = tempFn(obj.data[type].Table);
	}else{
		api.toast({
		    msg: '没有数据'
		});
	}
}