//政策法规id
var id;
var param;
apiready = function(){
	showProgress();
	//获取政策法规的id
	id = api.pageParam.ID;
	if(api.pageParam.name=="信用动态"){
		param = {"NewID": id};
	}else if(api.pageParam.name=="政策法规"){
		param = {"PoliciesAndRegulationsID": id};
	}else if(api.pageParam.name=="信用典型"){
		param = {"TypicalID": id};
	}else if(api.pageParam.name=="信用知识"){
		param = {"KnowledgeID": id};
	}
	articleDetailsInfo();
}


//从后台获取政策法规的详细信息
function articleDetailsInfo(){
	sendRequest({
		url: api.pageParam.method,
		methodType: 'get',
		dataType: 'json',
		parameters: param
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret&&ret.msg=="获取成功"){
			showResult(ret);
		}else{
			api.toast({
			    msg: '网络或服务器出错，请稍后再试'
			});
		}
		api.hideProgress();
	});
}

//将查询出的结果显示在页面中
function showResult(obj){
	var content = $api.byId('articleContent');
	var tpl = $api.byId('article-template').text;
	var tempFn = doT.template(tpl);
	content.innerHTML = tempFn(obj.data);
	if(obj.data.Describe.indexOf("微软雅黑")>0){
		var text = obj.data.Describe.replace(/text-indent:2em/g,"");
		$api.byId("content").innerHTML = text;
		var domList = $api.domAll($api.byId("content"), "span");
		for(var i=0;i<domList.length;i++){
			domList[i].innerHTML = "&nbsp;&nbsp;&nbsp;&nbsp;"+domList[i].innerHTML;
		}
	}else{
		if(api.pageParam.name=="信用动态"){
			var text1 = obj.data.Details.replace(/text-indent:[[0-9]+|[.]][0-9]+pt/g,"");
			text1 = text1.replace(/text-indent:2em/g,"");
			text1 = text1.replace(/font-size:[0-9]+pt/g,"");
			$api.byId("content").innerHTML = text1;
		}else{
			var text2 = obj.data.Describe.replace(/text-indent:[0-9]+.[0-9]+pt/g,"");
			text2 = text2.replace(/text-indent:2em/g,"");
			text2 = text2.replace(/text-indent:[0-9]+pt/g,"");
			text2 = text2.replace(/line-height:[0-9]+%/g,"");
			text2 = text2.replace(/font-size:[0-9]+pt/g,"");
			$api.byId("content").innerHTML = text2;
		}
	}
	
	if(obj.data.Describe.indexOf("img")>0||obj.data.Details.indexOf("img")>0){
		var imgList = $api.domAll($api.byId("content"), "img");
		for(var i=0;i<imgList.length;i++){
			imgList[i].onload = function(){
				this.height = this.height*((api.winWidth-30)/this.width);
				this.style.height = this.height+"px";
				this.width = api.winWidth-30;
				this.style.width = api.winWidth-30+"px";
			}
		}
	}
	
	if(obj.data.Picture!=""){
		var oImg = document.createElement("img");
		oImg.src = url + obj.data.Picture;
		document.getElementById("content").insertBefore(oImg,document.getElementById("content").firstChild);
		oImg.onload = function(){
			this.height = this.height*((api.winWidth-30)/this.width);
			this.width = api.winWidth-30;
		}
	}
}