//线下地址
//var url = "http://192.168.1.6:8066/";
//正式地址
var url = "http://202.110.210.199:8081/";//c#服务地址
var urlV1="http://www.jnxy.gov.cn/";
//var urlV1="http://192.168.3.62:9099/";


//分装了APICloud ajax请求，需传入ip和端口号后面的地址、请求方法、返回参数类型以及请求参数
function sendRequest(param,callback){
	if(api.systemType=="ios"){
		api.ajax({
		    url: url+param.url,
		    method: param.methodType,
		    dataType: param.dataType,
		    data: {
		        values: param.parameters
		    }
		},function(err, ret){
		    callback(ret,err);
		});
	}else if(api.systemType=="android"){
		api.ajax({
		    url: url+param.url,
		    method: param.methodType,
		    dataType: param.dataType,
		    data: {
		        values: param.parameters
		    }
		},function(ret, err){
		    callback(ret,err);
		});
	}
}


function sendRequestV1(param,callback){
console.log(urlV1+param.url);
	api.ajax({
	    url: urlV1+param.url,
	    method: param.methodType,
	    dataType: param.dataType,
		headers : { 'Content-Type' : 'application/json' },
	    data:  param.parameters
	},function(ret, err){
	    callback(ret,err);
	});
}

//判断是否登陆
function isLogin(page,param){
	var userID = api.getPrefs({sync: true,key: 'userID'});
   if (!userID) {
        OpenWin('n_login');
   }else{
        OpenWin(page,param);
   }
}

function clearInfo(){
    api.removePrefs({ key: 'userID'});
    api.removePrefs({ key: 'userName'});
    api.removePrefs({ key: 'userPassword'});
    api.removePrefs({ key: 'userPhone'});
    api.removePrefs({ key: 'userQuestion'});
    return true;
}


//显示加载组件
function showProgress(title){
	if (!title) { var title = '加载中...'; }
	api.showProgress({
	    style: 'default',
	    animationType: 'fade',
	    title: title,
	    //text: '请稍后...',
	    modal: true
	});
}

function pullUp(){
	// 监听屏幕滚动到底部的事件
    api.addEventListener({
        name:'scrolltobottom',
        extra:{
            threshold: 0          //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function(ret, err){        
        pullupLoad();
    });
}

//监听滚动到底部的事件
function removePullUp(){
	// 移除监听屏幕滚动到底部的事件
    api.removeEventListener({
	    name: 'scrolltobottom'
	});
}

/*
此方法用于判断一个数组是否已存在一个已知的值，若存在，则把已存在的值放置于 
数组的最后，否则将该值添加到数组中
参数：
	arr为需要操作的数组；
	key为需要比较的值
 */
function operateArray(arr,key){
	var index = false;
	var flag = false;
	var i = 0;
	for(i;i<arr.length;i++){
		if(key == arr[i]){//如果已存在
			flag = true;
			break;
		}
	}

	if(flag){
		for(i;i<arr.length-1;i++){
			arr[i] = arr[i+1];
		}
		arr[arr.length-2] = key;
	}else{
		if(arr.length>5){
			for(var i=0;i<arr.length-1;i++){
				arr[i] = arr[i+1];
			}
			arr[arr.length-2] = key;
			index = true;
		}else{
			arr[arr.length-1] = key;
		}
	}
    // localStorage.clear();
    $api.rmStorage('history');
    
    if(index){
    	for(var j=0;j<arr.length-1;j++){
	        if(j==0){
	            $api.setStorage("history",arr[j]+"-");
	        }else if(j==arr.length-1){
	        	if(flag){
	        		$api.setStorage("history",$api.getStorage("history") + arr[j]);
	        	}else{
	            	$api.setStorage("history",$api.getStorage("history") + arr[j] + "-");
	        	}
	        }else{
	            $api.setStorage("history",$api.getStorage("history") + arr[j] + "-");
	        }
		}
    }else{
    	for(var j=0;j<arr.length;j++){
	        if(j==0){
	            $api.setStorage("history",arr[j]+"-");
	        }else if(j==arr.length-1){
	        	if(flag){
	        		$api.setStorage("history",$api.getStorage("history") + arr[j]);
	        	}else{
	            	$api.setStorage("history",$api.getStorage("history") + arr[j] + "-");
	        	}
	        }else{
	            $api.setStorage("history",$api.getStorage("history") + arr[j] + "-");
	        }
		}
    }
}

function error(msg){
	api.toast({ msg:msg });
    setTimeout(function(){ api.closeWin(); },1000);
}

function UILoading(close){
    var UILoading = api.require('UILoading');

    if (close) {
    	UILoading.closeFlower({
		    id: 'a'
		});
    	return;
    }

    UILoading.flower({ size:30,fixed:true}, function(ret) {id:'a'});
}


function provingValidateCode(val){
    var correct = true;
    $.ajax({
        url: urlV1+'website/usermanage/checkValidatecode/'+val,
        type: 'get',
        async:false,
        dataType: 'json',
        success:function(ret){
        	//alert(JSON.stringify(ret));
            if (ret) {
                if(ret.code=='1'){
                    api.toast({ msg: '验证码错误!' });
                    getValidateCode();
                    correct = false;
                }  
            }else {
                correct = false;
                error('接口错误');
            }
        }
    })
    return correct;       
}
