//记录页数，默认为第一页
var pageIndex = 1;
apiready = function(){
    api.parseTapmode();
    creditTrendsInfo();
}

var tab = new auiTab({
    element:document.getElementById("tab"),
},function(ret){
    
});

//上拉加载更多数据
function pullupLoad(){
    pageIndex++;
    creditTrendsInfo("load");
}

//从后台获取信用典型列表
function creditTrendsInfo(discribe){
    //开启加载样式
    showProgress();
    sendRequest({
        url: 'api/Common/GetTypicalList',
        methodType: 'get',
        dataType: 'json',
        parameters: {
            pageNum: pageIndex,
            pageSize:12,
            PublicityDateTimeSort: 'a'
        }
    },function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
        if(ret&&ret.msg=="获取成功"){
            showResult(ret,discribe);
        }else if(ret&&ret.msg=="数据为空"){
            api.toast({
                msg: '数据为空'
            });
        }else{
            api.toast({
                msg: '网络或服务器出错，请稍后再试'
            });
        }
        api.hideProgress();
    });
}

//将查询的结果显示在页面上
function showResult(obj,discribe){
    //判断信用典型数据是否为空
    if(obj.data.length>0){
        var content = $api.byId('typicalContent');
        var tpl = $api.byId('typical-template').text;
        var tempFn = doT.template(tpl);
        content.innerHTML += tempFn(obj.data);
        //判断是否显示滚动条，显示则允许判断加载更多
        if(document.documentElement.scrollHeight> document.documentElement.clientHeight){
            pullUp();
        }
    }else{
        if(discribe=="load"){
            api.toast({
                msg: '没有更多数据'
            });
        }else{
            api.toast({
                msg: '没有数据'
            });
        }
    }
}

//打开详情页面
function OpenNews(id){
    api.openWin({
        name: 'article_details_win',
        url: '../html/article_details_win.html',
        pageParam: {
            ID: id,
            method: 'api/Common/ModelTypical',
            name: $api.dom("title").innerText
        }
    });
}