var type1 = 0;
//记录页数，默认为第一页
var pageIndex = 1;
var type;
apiready = function(){
	api.parseTapmode();
	type = api.pageParam.type;
	if(type!=type1){
		pageIndex = 1;
	}
	type1 = type;
    getDeptsList();
}

//上拉加载更多数据
function pullupLoad(){
    pageIndex++;
    getPermission("load",type);
}

//获取部门列表
function getDeptsList(){
	sendRequest({
		url: 'api/TwoPublicInfo/SGH_DeptsList',
		methodType: 'get',
		dataType: 'text',
		parameters: {

		}
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson(ret);
			if(obj.msg=="获取成功"){
				showInSelect(obj);
			}
		}
	})
}

//将获取出来的部门列表放在select下拉框中
function showInSelect(obj){
	var optionHtml = '<option value="">济宁市</option>';
	for(var i in obj.data){
		optionHtml += '<option value='+obj.data[i].DeptId+'>'+obj.data[i].DeptName+'</option>'
	}
	$api.dom("#section select").innerHTML = optionHtml;
	DeptId = "";
    getPermission();
}

//选择部门
function chooseDept(obj){
	removePullUp();
	$api.byId('publicityContent').innerHTML = "";
	DeptId = obj.options[obj.selectedIndex].value;
	getPermission();
}

//选择查询时间段
function chooseTime(obj){
	beginTime = "";
	removePullUp();
	$api.byId('publicityContent').innerHTML = "";
	if(obj.value=="时间不限"){
		beginTime = "";
		endTime = "";
	}else if(obj.value=="一天内"){
		beginTime = adddays(-1);
		endTime = getNowday();
	}else if(obj.value=="一周内"){
		beginTime = adddays(-7);
		endTime = getNowday();
	}else if(obj.value=="一月内"){
		beginTime = addmulMonth(-1);
		endTime = getNowday();
	}else if(obj.value=="一年内"){
		beginTime = addmulMonth(-12);
		endTime = getNowday();
	}
	getPermission();
}

//部门id
var DeptId;
//开始时间
var beginTime = "";
//结束时间
var endTime = "";
//向后台请求双公示行政许可或行政处罚的数据
function getPermission(discribe){
	showProgress();
	sendRequest({
		url: type==1?'api/TwoPublicInfo/SGHXK_DetailsList':'api/TwoPublicInfo/SGHCF_DetailsList',
		methodType: 'get',
		dataType: 'text',
		parameters: {
			DeptId: DeptId,
			pageNum: pageIndex,
			pageSize: 12,
			beginTime: beginTime,
			endTime: endTime
		}
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson(ret);
			if(obj.msg=="获取成功"){
				showResult(obj,discribe);
			}else if(obj.msg=="数据为空"){
				api.toast({
				    msg: '数据为空'
				});
			}
		}else{
			api.toast({
			    msg: '网络或服务器出错，请稍后再试'
			});
		}
		api.hideProgress();
	});
}

//将查询结果显示唉页面上
function showResult(obj,discribe){
    //判断数据是否为空
    if(obj.data.length>0){
		var content = $api.byId('publicityContent');
		var tpl = $api.byId('publicity-template').text;
		var tempFn = doT.template(tpl);
		content.innerHTML += tempFn(obj.data);
	    //判断是否显示滚动条，显示则允许判断加载更多
	    if(document.documentElement.scrollHeight> document.documentElement.clientHeight){
	        pullUp();
	    }
	}else{
		if(discribe=="load"){
            api.toast({
                msg: '没有更多数据'
            });
        }else{
            api.toast({
                msg: '没有数据'
            });
        }
	}
}