var type1 = 0;
//记录页数，默认为第一页
var pageIndex = 1;
var type;
apiready = function(){
	type = api.pageParam.type;
	if(type!=type1){
		pageIndex = 1;
	}
	type1 = type;
    getDeptsList();
}

//上拉加载更多数据
function pullupLoad(){
    pageIndex++;
    getRedOrBlackList("load",type);
}

//获取部门列表
function getDeptsList(){
	sendRequest({
		url: 'api/Common/GetXYHHB_DEPTList',
		methodType: 'get',
		dataType: 'text',
		parameters: {

		}
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson(ret);
			if(obj.msg=="获取成功"){
				showInSelect(obj);
			}
		}
	})
}

//将获取出来的部门列表放在select下拉框中
function showInSelect(obj){
	var optionHtml = '<option value="">本市全部</option>';
	for(var i in obj.data){
		optionHtml += '<option value='+obj.data[i].DeptId+'>'+obj.data[i].DeptName+'</option>'
	}
	$api.dom("#section select").innerHTML = optionHtml;
	DeptId = "";
    getRedOrBlackList();
}

//选择部门
function chooseDept(obj){
	removePullUp();
	$api.byId('redBlackContent').innerHTML = "";
	DeptId = obj.options[obj.selectedIndex].value;
	getRedOrBlackList();
}

//向后台请求红黑榜的数据
function getRedOrBlackList(discribe){
	showProgress();
	sendRequest({
		url: 'api/Common/GetXYHHB_DETAILSList',
		methodType: 'get',
		dataType: 'text',
		parameters: {
			DeptId: DeptId,
			Flag: type,
			pageNum: pageIndex,
			pageSize: 15
		}
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson(ret);
			if(obj.msg=="获取成功"){
				showResult(obj,discribe);
			}else if(obj.msg=="数据为空"){
				api.toast({
				    msg: '没有数据'
				});
			}
		}else{
			api.toast({
			    msg: '网络或服务器出错，请稍后再试'
			});
		}
		api.hideProgress();
	});
}

//将查询结果显示唉页面上
function showResult(obj,discribe){
    //判断数据是否为空
    if(obj.data.length>0){
		var content = $api.byId('redBlackContent');
		var tpl = $api.byId('redBlack-template').text;
		var tempFn = doT.template(tpl);
		content.innerHTML += tempFn(obj.data);
	    //判断是否显示滚动条，显示则允许判断加载更多
	    if(document.documentElement.scrollHeight> document.documentElement.clientHeight){
	        pullUp();
	    }
	}else{
		if(discribe=="load"){
            api.toast({
                msg: '没有更多数据'
            });
        }else{
            api.toast({
                msg: '没有数据'
            });
        }
	}
}

function chooseTime(obj){
	$api.byId('redBlackContent').innerHTML = "";
	getRedOrBlackList("");
}