//记录页数，默认为第一页
var pageIndex = 1;
//用户输入的搜索关键字
var key;
//用户输入的验证码
var code;
var searchKey;
apiready = function(){
    api.parseTapmode();
    getVerifiedCode();
    getHistoryRecord();
}

//上拉加载更多数据
function pullupLoad(){
    pageIndex++;
    searchResult("load");
}

//获取验证码图片
function getVerifiedCode(){
    sendRequest({
        url: 'api/Common/ReturnValidate',
        methodType: 'get',
        dataType: 'text',
        parameters: {

        }
    },function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
        if(ret){
            var obj = $api.strToJson($api.strToJson(ret));
            $api.dom("img").src = obj.Image;
            key = obj.key;
            $api.byId('searchContent').innerHTML = "";
            pageIndex = 1;
        }
    });
}

//从后台获取信用知识列表
function searchResult(discribe){
    if($api.byId('verifyCode').value==""){
        api.toast({
            msg: '验证码不能为空'
        });
        return;
    }
    code = $api.byId('verifyCode').value;

    var param;
    //根据查询类型来传递不同的参数体
    if(searchType==1){
        param = {
            Valid: code,
            key: key,
            entname: searchKey,
            legalname: '',
            area: '',
            Pageindex: pageIndex,
            pagesize: 7
        }
    }else{
        param = {
            Valid: code,
            key: key,
            entname: '',
            legalname: searchKey,
            area: '',
            Pageindex: pageIndex,
            pagesize: 7
        }
    }

    //开启加载样式
    showProgress();
    sendRequest({
        url: 'api/Common/GetEnt_AllList',
        methodType: 'get',
        dataType: 'text',
        parameters: param
    },function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
        if(ret){
            //将JSON字符串转换为JSON对象
            var obj = $api.strToJson($api.strToJson(ret));
            if(pageIndex==1){
                if(!$api.getStorage("history")){ 
                    $api.setStorage("history",searchKey+"-");
	            }else{
                    var historyRecord = $api.getStorage("history").split("-");
	                historyRecord = operateArray(historyRecord,searchKey);
            	}
            }
            if(obj.msg=="查询成功"){
                //隐藏弹出框
                veriCodeClose();
                showResult(obj,discribe);
                $api.byId("history").style.display = "none";
            }else if(obj.msg=="数据为空"){
                api.toast({
                    msg: '数据为空'
                });
            }else if(obj.msg=="查询失败"){
                api.toast({
                    msg: discribe=='load'?'没有更多数据':'没有数据'
                });
                //隐藏弹出框
                veriCodeClose();
            }else if(obj.msg=="验证码错误"){
                api.toast({
                    msg: '验证码错误'
                });
                getVerifiedCode();
            }else{
                api.toast({
                    msg: '网络或服务器出错，请稍后再试'
                });
            }
        }
        api.hideProgress();
    });
}

//将查询的结果显示在页面上
function showResult(obj,discribe){
    //判断查询的数据是否为空
    if(obj.data.length>0){
        var content = $api.byId('searchContent');
        var tpl = $api.byId('search-template').text;
        var tempFn = doT.template(tpl);
        content.innerHTML += tempFn(obj.data);
        pullUp();
    }else{
        if(discribe=="load"){
            api.toast({
                msg: '没有更多数据'
            });
        }else{
            api.toast({
                msg: '没有数据'
            });
        }
    }
}

//跳转到企业详情页面
function openCorpOutline(info){
	$api.fixStatusBar( $api.dom('header') );
    api.openWin({
        name: 'comp_details_win',
        url: '../html/comp_details_win.html',
        pageParam: {
            corpID: info.ent_id
        },
        bounces : false
    });
}

//获取历史记录显示在页面中
function getHistoryRecord(){
    if(!$api.getStorage("history")){
        $api.byId('history').innerHTML = "";
    }else{
        var historyHtml = "";
        var historyRecord = $api.getStorage("history").split("-");
        for(var i=historyRecord.length-2;i>=0;i--){
            historyHtml += '<li class="aui-list-item"><div class="aui-list-item-label-icon">'
                        + '<i class="aui-iconfont aui-icon-date"></i></div>'
                        + '<div class="aui-list-item-inner" onclick="setKey(this)">'+historyRecord[i]+'</div><div class="aui-list-item-label-icon" onclick="deleteItem(this,'+(historyRecord.length-2-i)+')"><i class="aui-iconfont aui-icon-close" id="delete"></i></div></li>';
        }
        $api.byId('historyContent').innerHTML = historyHtml;
    }
}

//清空搜索历史记录
function clearHistory(){
    $api.rmStorage('history');
    $api.byId('history').innerHTML = "";
}

//点击历史记录时，把点击的数据自动存到input中
function setKey(obj){
    $api.byId('searchType').value = obj.innerText;
}

//用于记录通过企业搜索还是法人搜索，1代表企业，2代表法人；默认是企业搜索
var searchType = 1;
//选择企业或法人时执行此方法
function choose(obj){
    if(obj.value=="企业"){
        $api.byId('searchType').placeholder = "请输入企业名称";
        searchType = 1;
    }else if(obj.value=="法人/股东"){
        $api.byId('searchType').placeholder = "请输入法人/股东名称";
        searchType = 2;
    }
}

//打开弹出框
function veriCodeShow() {
    //查询的关键字
    searchKey = $api.byId('searchType').value;
    if(searchKey==""){
        api.toast({
            msg: '查询内容不能为空'
        });
        return;
    }
    $api.byId('verifyCode').value = "";
   	$api.byId("yanzheng").src = "";
    getVerifiedCode();
    var infoBox = $api.byId('shade');
    var chlidDom = $api.first(infoBox,'div');
    $api.css(infoBox,'z-index: 99;opacity: 1;');
      $api.css(chlidDom,'-webkit-transform: scaleY(1);transform: scaleY(1);');
      var infoBox = $api.dom('#shareh-sponsor-details');
      $api.addEvt(infoBox, 'touchmove', function(){
          closeDetails();
      });
      $api.byId('confirm').setAttribute("onclick","searchResult();");
}

//关闭弹出框
function veriCodeClose() { 
    var infoBox = $api.byId('shade');
    var chlidDom = $api.first(infoBox,'div');
    $api.css(chlidDom,'-webkit-transform: scaleY(0);transform: scaleY(0);');
    $api.css(infoBox,'z-index: -1;opacity: 0;');
    $api.byId('confirm').setAttribute("onclick","");
}

//点击历史记录后面的叉号，删除当前项
function deleteItem(obj,index){
	var arr1 = $api.getStorage("history").split("-");
	var history = "";
	for(var i=0;i<arr1.length-1;i++){
		if(arr1[i]!=obj.previousSibling.textContent){
			history += arr1[i] + "-";
		}
	}
	$api.rmStorage('history');
	$api.setStorage("history",history);
	obj.parentNode.parentNode.removeChild(obj.parentNode);
	if($api.getStorage("history")==""){
		$api.byId("history").style.display = "none";
	}
}

function showHistory(){
//	$api.byId("history").style.display = "block";
}